Subject: Re: [PATCH 1/3] gnu: Add embree-2.

From: James Smith <[email-masked]>
Date: Fri, 20 Sep 2024 17:35:33 -0700

Liliana Marie Prikler <[email-masked]> writes:

> Am Sonntag, dem 15.09.2024 um 19:16 -0700 schrieb James Smith:
>> +    ;; Tries to build with SSE2 and AVX support on ARM, so disable
>> building for
>> +    ;; those systems.
> Comments should be full sentences.  Also, this is a hint that it uses
> SSE2 and AVX on the platforms below too – we should disable them, as
> they won't work with every CPU.
I've investigated on disabling them, but it seems that embree 2 (and 3
for that matter) has a hard requirement for SSE2 and have updated the
comment as such. I've gone ahead and implemented your suggestions for
the other patches though and will be sending them shortly.
>> +    (supported-systems (list "i686-linux" "x86_64-linux"))))
>> +
>
> Cheers